package com.bytedance.android.livesdk.livesetting.effect;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_new_props_panel_enable")
public final class LiveNewStickerPanelSetting {
    @Group(isDefault = true, value = "default group")
    public static final int DEFAULT = 1;
    public static final LiveNewStickerPanelSetting INSTANCE = new LiveNewStickerPanelSetting();
    @Group("new panel")
    public static final int USE_NEW_PANEL = 1;
    @Group("old panel")
    public static final int USE_OLD_PANEL = 0;

    static {
        Covode.recordClassIndex(17763);
    }

    private final int getValue() {
        return SettingsManager.INSTANCE.getIntValue(LiveNewStickerPanelSetting.class);
    }

    public final boolean useNewPanel() {
        if (getValue() == 1) {
            return true;
        }
        return false;
    }

    public final boolean useOldPanel() {
        if (getValue() == 0) {
            return true;
        }
        return false;
    }
}
